petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsSetAlias

Makes a key and alias for another key

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsSetAlias(PetscOptions options,const char inewname[],const char ioldname[])

Not Collective, but setting values on certain processors could cause problems Many brfor parallel objects looking for options. Many br

### Input Parameters

| options | - options database or NULL for default global database Many br
| inewname | - the alias Many br
| ioldname | - the name that alias will refer to Many br

Many br

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),OptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(),PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList() Many br

Level:advanced
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages